import Project, { Node, SourceFile } from "ts-simple-ast";
export interface TestConfig {
    files: {
        name: string;
        text: string;
        path: string;
    }[];
}
export interface TestResult {
    files: {
        [name: string]: SourceFile;
    };
    project: Project;
}
export declare function createProjectFiles(config: TestConfig): TestResult;
export interface ModifyAndAssertConfig {
    asserts: {
        before?: string;
        after?: string;
        file?: SourceFile;
    }[];
    node?: Node;
    modification: (node: Node) => void;
    verbose?: boolean;
}
export declare function modifyAndAssert({ node, modification, asserts, verbose }: ModifyAndAssertConfig): void;
export declare function printDiagnostics(project: Project): void;
